Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.xsl
Class JavaStylesheet

    java.lang.Object
      |
      +--com.caucho.xsl.Stylesheet
            |
            +--com.caucho.xsl.StylesheetImpl
                  |
                  +--com.caucho.xsl.JavaStylesheet

public class JavaStylesheet
extends StylesheetImpl

Implementation class for JavaScript stylesheets. It is made public only because generated Java classes need to access these routines.

Inner classes inherited from class com.caucho.xsl.Stylesheet
`Stylesheet.Depend`

Field Summary
`protected NamespaceContext[]` | `_namespaces`
`protected XslNumberFormat[]` | `_xsl_formats`
`protected Sort[][]` | `_xsl_sorts`
`protected Expr[]` | `exprs`
`protected Pattern[]` | `patterns`

Fields inherited from class com.caucho.xsl.StylesheetImpl
`defaultDisableEscaping, templates, text`

Fields inherited from class com.caucho.xsl.Stylesheet
`cacheDepends, errorPage`

Constructor Summary
`JavaStylesheet()`

Method Summary
`protected int` | `getTemplateId(Node node, Env env, java.lang.String mode, int min, int max)`

Methods inherited from class com.caucho.xsl.StylesheetImpl
`_xsl_init, addFunction, anyNumber, applyNode, applyNodeDefault, exprNumber, getNodeValue, getPath, getTemplate, init, init, multiNumber, printValue, setSpaces, singleNumber, transform, transformCacheable, xslExecute, xslSort`

Methods inherited from class com.caucho.xsl.Stylesheet
`addCacheDepend, addDepend, addDepend, getCacheDepends, getContentType, getDepends, getErrorPage, getLastModified, getOutputAttribute, isModified, print, print, setOutputAttribute, transform, transform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### patterns

    protected Pattern[] patterns

### exprs

    protected Expr[] exprs

### _xsl_sorts

    protected Sort[][] _xsl_sorts

### _namespaces

    protected NamespaceContext[] _namespaces

### _xsl_formats

    protected XslNumberFormat[] _xsl_formats

Constructor Detail

### JavaStylesheet

    public JavaStylesheet()

Method Detail

### getTemplateId

    protected int getTemplateId(Node node,
                                Env env,
                                java.lang.String mode,
                                int min,
                                int max)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD